Aurion Docs
Api

Create Kb Article

Create a KB article from a PDF with all images uploaded. - file: PDF file to convert - folder_id: Target Freshservice folder ID - custom_title: Override extracted title (optional) - status: Article status (1=Draft, 2=Published)

POST
/api/kb/create

Create a KB article from a PDF with all images uploaded.

  • file: PDF file to convert
  • folder_id: Target Freshservice folder ID
  • custom_title: Override extracted title (optional)
  • status: Article status (1=Draft, 2=Published)
AuthorizationBearer <token>

In: header

Request Body

multipart/form-data

Response Body

application/json

application/json

curl -X POST "https://loading/api/kb/create" \  -F file="string" \  -F folder_id="0"
{
  "article_id": 0,
  "article_url": "string",
  "attachment_count": 0,
  "error": "string",
  "success": true,
  "title": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}